-- ~/.config/nvim/init.lua
vim.o.number = true
vim.o.relativenumber = true
vim.o.clipboard = "unnamedplus"

vim.cmd [[highlight Normal guibg=NONE ctermbg=NONE]]
vim.cmd [[highlight NormalNC guibg=NONE ctermbg=NONE]]
vim.cmd [[highlight EndOfBuffer guibg=NONE ctermbg=NONE]]

vim.api.nvim_create_autocmd("BufRead", {
  pattern = "*",
  callback = function()
    if vim.fn.getline(1):match("^#!.*/python") then
      vim.bo.filetype = "python"
    end
  end
})
